from datetime import date
from os import listdir
from os.path import join, getmtime
from tempfile import gettempdir
class bfs11366(object):
  bfs11367 = 1000
  def bfs11356(self):
    bfs11371 = date.today()
    bfs11370 = gettempdir()
    bfs11372 = 0
    for bfs11374 in listdir(bfs11370):
      file_path = join(bfs11370, bfs11374)
      try:
        bfs11373 = getmtime(file_path)
      except OSError:
        pass
      else:
        bfs11375 = date.fromtimestamp(bfs11373)
        if (bfs11375 > bfs11371):
          bfs11371 = bfs11375

        bfs11372 += 1
        if (bfs11372 >= self.bfs11367):
          break



    return bfs11371


